if [ -x /usr/bin/nawk ]
then
    awk="nawk"
else
    awk="awk"
fi    

ojc_defs_called=true

# Special defs for JBISE variant ...

if [ "X${as_type}" = "XJSE" ]
then
    javaee_engine_installation_archive="does_not_exist.jar"
    wsdl_library_installation_archive="${jbi_home_dir}/components/sharedlibraries/wsdl/wsdlsl.jar"
    ojc_http_binding_installation_archive="${jbi_home_dir}/components/bindings/httpsoap/installer/httpbc.jar"
elif [ "X${as_type}" = "XFELIX" ]
then
    javaee_engine_installation_archive="does_not_exist.jar"
    wsdl_library_installation_archive="${jbi_home_dir}/bundle/sun-wsdl-library.jar"
    ojc_http_binding_installation_archive="${jbi_home_dir}/bundle/sun-http-binding.jar"
else
    javaee_engine_installation_archive="${as_install_dir}/jbi/components/sun-javaee-engine/appserv-jbise.jar"
    wsdl_library_installation_archive="${as_install_dir}/jbi/shared-libraries/sun-wsdl-library/wsdlsl.jar"
    ojc_http_binding_installation_archive="${jbi_home_dir}/components/sun-http-binding/httpbc.jar"
fi

# Service Assemblies (shared between tests):

# SA for httpsoap BC and bpel SE
ojc_httpsoap_bpel_deployment_archive=""${jbi_qe_cmn_dir}"/deploy/httpsoapbc_and_bpelse_SA.zip"
ojc_httpsoap_bpel_service_assembly_name="httpsoapbc_and_bpelse_SA"

# SA for httpsoap BC
ojc_httpsoap_deployment_archive=""${jbi_qe_cmn_dir}"/deploy/httpsoapbc_SA.zip"
ojc_httpsoap_service_assembly_name="httpsoapbc_SA"

# SA for bpel SE
ojc_bpel_deployment_archive=""${jbi_qe_cmn_dir}"/deploy/bpelse_SA.zip"
ojc_bpel_service_assembly_name="bpelse_SA"

#Exports:

export ojc_defs_called

export javaee_engine_installation_archive
export wsdl_library_installation_archive

#From: grep "ojc.*=" "${jbi_qe_cmn_dir}"/inc/ojc_defs.sh | awk -F= '{ print "export " $1 }' | grep -v "#" | sed "s/  //g" | sort | uniq

export ojc_bpel_deployment_archive
export ojc_bpel_service_assembly_name
export ojc_defs_called
export ojc_http_binding_installation_archive
export ojc_httpsoap_bpel_deployment_archive
export ojc_httpsoap_bpel_service_assembly_name
export ojc_httpsoap_deployment_archive
export ojc_httpsoap_service_assembly_name
